Skip to main content
GET
/
engines
/
{engine_id}
Engine Details
curl --request GET \
  --url https://api.remapdb.com/v1/engines/{engine_id} \
  --header 'Authorization: Bearer <token>'
{
  "id": 1234,
  "name": "1.8i 125hp 170Nm",
  "slug": "1-8i-125hp-170nm",
  "engine_code": "XYZ",
  "year": 2018,
  "capacity": 1800,
  "cylinders": 4,
  "engine_type": "Petrol",
  "fuel": "Petrol",
  "ecus": [
    {
      "name": "EDC17CP54",
      "manufacturer": "Bosch"
    }
  ],
  "tcus": [
    {
      "name": "8HP",
      "manufacturer": "ZF"
    }
  ],
  "performance": {
    "power": 150,
    "torque": 270,
    "dyno_values": {
      "rpm": [
        1000,
        2000,
        3000,
        4000,
        5000,
        6000,
        7000,
        8000,
        9000
      ],
      "hp": [
        0,
        169,
        299,
        386,
        463,
        482,
        386,
        0,
        0
      ],
      "nm": [
        0,
        589,
        602,
        589,
        577,
        509,
        372,
        0,
        0
      ]
    }
  },
  "tuning": {
    "options": [
      {
        "name": "EGR",
        "description": "Removal of EGR"
      },
      {
        "name": "Decat",
        "description": "Catalyst Removal"
      }
    ],
    "read_tools": [
      {
        "name": "KESS3",
        "manufacturer": "Alientech"
      },
      {
        "name": "Trasdata",
        "manufacturer": "Dimsport"
      }
    ],
    "work_methods": [
      {
        "name": "OBD"
      },
      {
        "name": "Bench"
      }
    ],
    "stages": [
      {
        "stage_number": 1,
        "performance": {
          "power": 482,
          "torque": 620,
          "top_speed": 225,
          "zero_to_hundred": 5.8,
          "dyno_values": {
            "rpm": [
              1000,
              2000,
              3000,
              4000,
              5000,
              6000,
              7000,
              8000,
              9000
            ],
            "hp": [
              0,
              169,
              299,
              386,
              463,
              482,
              386,
              0,
              0
            ],
            "nm": [
              0,
              589,
              602,
              589,
              577,
              509,
              372,
              0,
              0
            ]
          }
        }
      },
      {
        "stage_number": 2,
        "performance": {
          "power": 492,
          "torque": 650,
          "top_speed": 235,
          "zero_to_hundred": 5.6,
          "dyno_values": {
            "rpm": [
              1000,
              2000,
              3000,
              4000,
              5000,
              6000,
              7000,
              8000,
              9000
            ],
            "hp": [
              0,
              169,
              299,
              386,
              463,
              482,
              386,
              0,
              0
            ],
            "nm": [
              0,
              589,
              602,
              589,
              577,
              509,
              372,
              0,
              0
            ]
          }
        },
        "modifications_required": "Aftermarket intercooler and exhaust required."
      }
    ]
  }
}

Authorizations

Authorization
string
header
required

All API methods require Bearer authentication. Use your existing API key as the bearer token.

Authorization header format: Authorization: Bearer YOUR_API_KEY.

Headers

Accept-Language
enum<string>

Method accept custom language. Content of the header should be the code of the language you are requesting. E.g.: en.

Available options:
bg,
da,
de,
en,
es,
et,
fi,
fr,
hr,
it,
lt,
lv,
nb,
nl,
nn,
pt,
ru,
sv,
tr,
zs
Example:

"en"

Path Parameters

engine_id
integer<int32>
required

Engine ID.

Required range: 1 <= x <= 2147483647

Response

Success

Engine object

capacity
integer | null

Engine capacity in cubic cm.

Example:

1800

cylinders
integer | null

Number of cylinders.

Example:

4

ecus
ECU · object[]

List of ECU's used in this engine.

Maximum array length: 1000
engine_code
string | null

Engine code.

Maximum string length: 2048
Pattern: ^[^\u0000-\u001F\u007F]*$
Example:

"XYZ"

engine_type
string

Engine type.

Maximum string length: 2048
Pattern: ^[^\u0000-\u001F\u007F]*$
Example:

"Petrol"

fuel
string

Name of the fuel.

Maximum string length: 2048
Pattern: ^[^\u0000-\u001F\u007F]*$
Example:

"Petrol"

id
integer

Engine ID.

Example:

1234

name
string

Engine name.

Maximum string length: 2048
Pattern: ^[^\u0000-\u001F\u007F]*$
Example:

"1.8i 125hp 170Nm"

performance
Performance · object

Engine performance object

slug
string

URL-friendly name (slug).

Maximum string length: 2048
Pattern: ^[^\u0000-\u001F\u007F]*$
Example:

"1-8i-125hp-170nm"

tcus
TCU · object[]

List of TCU's used in this engine.

Maximum array length: 1000
tuning
Tuning · object

Engine tuning object

year
integer | null

Year of manufacture.

Example:

2018